org.codehaus.plexus.component.configurator.expression

## Interface ExpressionEvaluator

All Known Implementing Classes:
  DefaultExpressionEvaluator

    public interface ExpressionEvaluator

Evaluate an expression.

Version:
  $Id: ExpressionEvaluator.java 4779 2006-11-23 04:09:31Z jvanzyl $
Author:
  Brett Porter

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.io.File` `alignToBaseDirectory(java.io.File file)` Align a given path to the base directory that can be evaluated by this expression evaluator, if known.
`java.lang.Object` `evaluate(java.lang.String expression)` Evaluate an expression.

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### evaluate

    java.lang.Object evaluate(java.lang.String expression)
                       throws ExpressionEvaluationException

Evaluate an expression.

Parameters:
  `expression` - the expression
Returns:
  the value of the expression
Throws:
  `ExpressionEvaluationException`

#### alignToBaseDirectory

    java.io.File alignToBaseDirectory(java.io.File file)

Align a given path to the base directory that can be evaluated by this expression evaluator, if known.

Parameters:
  `file` - the file
Returns:
  the aligned file